package com.jeequan.jeepay.core.model.params.utmpay;

import com.jeequan.jeepay.core.constants.CS;

import java.util.HashMap;
import java.util.Map;

/*
 * 银联条码支付前置 配置
 *
 * @author zx
 *
 * @date 2022/6/20 18:02
 */
public class UtmpayConfig {

    public static String BASE_URL_PAY = "https://qra.95516.com/pay/gateway"; // 支付域名

    public static String BASE_URL_APPLY = "https://up.95516.com/interface/gateway"; // 进件域名

    public static String charset = "UTF-8"; // 编码

    public static String WX_API_CODE = "pay.weixin.jspay"; // 微信jsapi  apiCode编码，查询交易识别码使用

    // 支付类型（暂时写死为  易票联标准通道）
    // 实际取值请联系技术支持获取，每个行不一样。可以通过管理平台"机构管理"->"机构进件管理"页面上的“机构支付类型配置信息”中查看。
    // 文档地址：https://up.95516.com/open/openapi/doc?index_1=127&index_2=1&chapter_1=1943&chapter_2=1945
    public static Map<String, String> yplPayWayMap = new HashMap<>();
    static {
        yplPayWayMap.put(CS.PAY_WAY_CODE.WX_JSAPI, "10000861");
        yplPayWayMap.put(CS.PAY_WAY_CODE.WX_LITE, "10000861");
        yplPayWayMap.put(CS.PAY_WAY_CODE.WX_BAR, "10000862");
        yplPayWayMap.put(CS.PAY_WAY_CODE.WX_NATIVE, "10000863");
        yplPayWayMap.put(CS.PAY_WAY_CODE.ALI_JSAPI, "10000868");
        yplPayWayMap.put(CS.PAY_WAY_CODE.ALI_LITE, "10000868");
        yplPayWayMap.put(CS.PAY_WAY_CODE.ALI_BAR, "10000869");
        yplPayWayMap.put(CS.PAY_WAY_CODE.ALI_QR, "10000870");
        yplPayWayMap.put(CS.PAY_WAY_CODE.UP_JSAPI, "10032212");
        yplPayWayMap.put(CS.PAY_WAY_CODE.UP_BAR, "10001311");
        yplPayWayMap.put(CS.PAY_WAY_CODE.UP_QR, "10001312");
        yplPayWayMap.put(CS.PAY_WAY_CODE.YSF_BAR, "10001311");
        yplPayWayMap.put(CS.PAY_WAY_CODE.YSF_JSAPI, "10032212");
    }


    public static String SUCCESS_STATUS_CODE = "0"; // 0表示成功，非0表示失败此字段是通信标识，非交易标识，交易是否成功需要查看 result_code 、pay_result共同来判断
    public static String SUCCESS_RESULT_CODE = "0"; // 0表示成功，非0表示失败,交易终态请以pay_result为准
    public static String SUCCESS_PAY_RESULT_CODE = "0"; // 支付结果：0—成功；其它—失败（支付结果以此字段为准）

}
